# msrp.h File Reference

`#include <ptlib.h>`
`#include <opal/buildopts.h>`
`#include <opal/mediastrm.h>`
`#include <opal/mediasession.h>`
`#include <ptclib/url.h>`
`#include <ptclib/inetprot.h>`

Include dependency graph for msrp.h:

Go to the source code of this file.

## Data Structures

class | OpalMSRPEncoding
class | MSRPProtocol
class | MSRPProtocol::Message
struct | MSRPProtocol::Message::Chunk
class | OpalMSRPManager
class | OpalMSRPManager::Connection
struct | OpalMSRPManager::IncomingMSRP
class | OpalMSRPMediaSession
class | OpalMSRPMediaStream